Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface MessageTrackingRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface MessageTrackingRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Method Summary
`int` | `getConversationCount(Date startTime, Date endTime)` Gets conversation count.
`int` | `getConversationCountByPartner(String partnerId, Date startTime, Date endTime)` Gets conversation count by partner.
`int` | `getConversationCountByPartners(String fromPartnerId, String toPartnerId, Date startTime, Date endTime)` Gets conversation count by partners.
`int` | `getMessageCountByConversationAndDirection(String conversationId, String direction, Date startTime, Date endTime)` Gets message count by conversation and direction.
`int` | `getMessageCountByDirection(String direction, Date startTime, Date endTime)` Gets message count by direction.
`int` | `getMessageCountByPartnerAndDirection(String partnerId, String direction, Date startTime, Date endTime)` Gets message count by partner and direction.
`int` | `getMessageCountByPartnersAndDirection(String fromPartnerId, String toPartnerId, String direction, Date startTime, Date endTime)` Gets message count by partners and direction.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getConversationCount

    public int getConversationCount(Date startTime,
                                    Date endTime)
                             throws MessageTrackingRuntimeException

  Gets conversation count.

  Returns:
    total conversations that occurred within the passed time period
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByDirection

    public int getMessageCountByDirection(String direction,
                                          Date startTime,
                                          Date endTime)
                                   throws MessageTrackingRuntimeException

  Gets message count by direction.

  Returns:
    total messages exchanged in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

### getConversationCountByPartner

    public int getConversationCountByPartner(String partnerId,
                                             Date startTime,
                                             Date endTime)
                                      throws MessageTrackingRuntimeException

  Gets conversation count by partner.

  Returns:
    total conversations that occurred with the the specified partner
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByPartnerAndDirection

    public int getMessageCountByPartnerAndDirection(String partnerId,
                                                    String direction,
                                                    Date startTime,
                                                    Date endTime)
                                             throws MessageTrackingRuntimeException

  Gets message count by partner and direction.

  Returns:
    total messages exchanged by the specified partner in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

### getConversationCountByPartners

    public int getConversationCountByPartners(String fromPartnerId,
                                              String toPartnerId,
                                              Date startTime,
                                              Date endTime)
                                       throws MessageTrackingRuntimeException

  Gets conversation count by partners.

  Returns:
    total conversations that occurred between the specified partners
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByPartnersAndDirection

    public int getMessageCountByPartnersAndDirection(String fromPartnerId,
                                                     String toPartnerId,
                                                     String direction,
                                                     Date startTime,
                                                     Date endTime)
                                              throws MessageTrackingRuntimeException

  Gets message count by partners and direction.

  Returns:
    total messages exchanged between the specified partners in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

### getMessageCountByConversationAndDirection

    public int getMessageCountByConversationAndDirection(String conversationId,
                                                         String direction,
                                                         Date startTime,
                                                         Date endTime)
                                                  throws MessageTrackingRuntimeException

  Gets message count by conversation and direction.

  Returns:
    total messages exchanged in a specified conversation and in the specified direction
  Throws:
    `MessageTrackingRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD